Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.util
Class WildCharExpression

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.WildCharExpression

All Implemented Interfaces:
  ExpressionConstants

public class WildCharExpression
extends AbstractRegularExpression

a RegExp that represents a single occurence of a wild-char, i.e. ANY_CHAR, EOL or ANY_CHAR_EOL (as defined in ExpressionConstants or one of the predefinite fields in java.lang.Character.

Since:
  jpicedt 1.3
Version:
  $Id: WildCharExpression.java,v 1.5.2.1 2007/09/02 11:56:15 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`WildCharExpression(int type)`

Method Summary
`Character` | `getCharacter()` Return the last character parsed.
`int` | `getType()`
`boolean` | `interpret(Context context)` Parses this expression, possibly using the given Context to fetch the String to interpret if this Expression is a leaf expression.
`String` | `toString()`

Methods inherited from class jpicedt.format.input.util.AbstractRegularExpression
`action`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WildCharExpression

    public WildCharExpression(int type)

Parameters:
  `type` - one of predefinite types available in class java.lang.Character. May also be ANY_CHAR (any character), EOL (end of line), or ANY_CHAR_EOL (a combination of both).

Method Detail

### getType

    public int getType()

### interpret

    public boolean interpret(Context context)
                      throws REParserException

  Description copied from class: `AbstractRegularExpression`
  Parses this expression, possibly using the given Context to fetch the String to interpret if this Expression is a leaf expression.

  Specified by:
    `interpret` in class `AbstractRegularExpression`
  Returns:
    TRUE if the first character of the remaining substring is a wild-char of the permitted type If TRUE, send a ParserEvent with value=char found ('\n' in case of an EOL)
  Throws:
    `REParserException` - if an error occur during parsing

### getCharacter

    public Character getCharacter()

  Return the last character parsed.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org